mav_surfaceParamsIsTransparent(3)

NAME
mav_surfaceParamsIsTransparent - Query surface parameters for transparency.

LEVEL
Maverik Level 3

SYNTAX
int mav_surfaceParamsIsTransparent(MAV_window *w, MAV_surfaceParams *sp);

ARGUMENTS
Window with which surface parameters are associated. Surface parameters.

DESCRIPTION
This function examines the alpha components of surface parameters sp on window w, returning MAV_TRUE if the surface parameters are transparent, otherwise MAV_FALSE. This function is used internally by the kernel to perform rendering of transparent objects at the correct time.